INRIX IQ logo

The MapVersion api returns the map version of the XD Segments used in responses to segment speed, incident and other data apis. This map version typically gets updated every 6 months.


Description: Gets the current map version used by INRIX APIs.

gateway-api.inrix.com/v1/mapversion

GET Gets the current map version used by INRIX APIs

Parameters

  = required
Name Located In Type Description
accesstoken Query String A valid access token provided from the GET appToken API response. Alternatively, the accesstoken can be added to the request header instead of a url parameter using format 'Authorization: Bearer xxxx.xxx.xxxx'.

Requests

Example Get current map version
Query
https://gateway-api.inrix.com/v1/mapversion/?accesstoken={token}

Responses

200 Success
{
    "copyright": "Copyright INRIX Inc. 2020",
    "versionNumber": "v1",
    "createdDate": "2020-05-18T20:21:36.6785643Z",
    "responseId": "4f0bd203-38b7-44da-8e01-49102201d1a5",
    "result": 
        {
            "MapVersion": "20.1"
            "OsmMapVersion": "20010101"
        }
}

Response Elements

Property Type Description
MapVersion String The map version of the segments in data api responsese
OsmMapVersion String The OSM map version of the segments in the data api response